import { SERVER_MAIN_SRC_DIR } from '../generator-constants.mjs';
import { moveToJavaEntityPackageSrcDir } from '../server/support/index.mjs';
export const entityFiles = {
    server: [
        {
            condition: generator => generator.databaseTypeNeo4j,
            path: `${SERVER_MAIN_SRC_DIR}package/`,
            renameTo: moveToJavaEntityPackageSrcDir,
            templates: ['domain/_PersistClass_.java.jhi.spring_data_neo4j'],
        },
    ],
};
export function cleanupEntitiesTask({ application, entities }) { }
export default async function writeEntitiesTask({ application, entities }) {
    for (const entity of entities.filter(entity => !entity.builtIn && !entity.skipServer)) {
        await this.writeFiles({
            sections: entityFiles,
            context: { ...application, ...entity },
        });
    }
}
