/**
 * Copyright 2013-2023 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare const JHIPSTER_DEPENDENCIES_VERSION = "8.0.0-beta.1";
export declare const JAVA_VERSION = "17";
export declare const JAVA_COMPATIBLE_VERSIONS: string[];
export declare const ADD_SPRING_MILESTONE_REPOSITORY = false;
export declare const NODE_VERSION = "18.16.0";
export declare const OPENAPI_GENERATOR_CLI_VERSION = "2.5.1";
export declare const javaDependencies: Record<string, string>;
export declare const ELATICSEARCH_TAG = "8.5.3";
export declare const ELATICSEARCH_IMAGE = "docker.elastic.co/elasticsearch/elasticsearch";
/**
 * Manually updated docker containers
 */
export declare const dockerContainers: Record<string, string>;
export declare const KUBERNETES_CORE_API_VERSION = "v1";
export declare const KUBERNETES_BATCH_API_VERSION = "batch/v1";
export declare const KUBERNETES_DEPLOYMENT_API_VERSION = "apps/v1";
export declare const KUBERNETES_STATEFULSET_API_VERSION = "apps/v1";
export declare const KUBERNETES_INGRESS_API_VERSION = "networking.k8s.io/v1";
export declare const KUBERNETES_ISTIO_NETWORKING_API_VERSION = "networking.istio.io/v1beta1";
export declare const KUBERNETES_RBAC_API_VERSION = "rbac.authorization.k8s.io/v1";
export declare const HELM_KAFKA = "^0.20.1";
export declare const HELM_ELASTICSEARCH = "^1.32.0";
export declare const HELM_PROMETHEUS = "^9.2.0";
export declare const HELM_GRAFANA = "^4.0.0";
export declare const HELM_MYSQL = "^1.4.0";
export declare const HELM_MARIADB = "^6.12.2";
export declare const HELM_POSTGRESQL = "^6.5.3";
export declare const HELM_MOGODB_REPLICASET = "^3.10.1";
export declare const HELM_COUCHBASE_OPERATOR = "^2.2.1";
export declare const LOGIN_REGEX = "^(?>[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\\\.[a-zA-Z0-9-]+)*)|(?>[_.@A-Za-z0-9-]+)$";
export declare const LOGIN_REGEX_JS = "^[a-zA-Z0-9!$&*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+(?:\\\\.[a-zA-Z0-9-]+)*$|^[_.@A-Za-z0-9-]+$";
export declare const JHIPSTER_DOCUMENTATION_URL = "https://www.jhipster.tech";
export declare const JHIPSTER_DOCUMENTATION_ARCHIVE_PATH = "/documentation-archive/";
export declare const MAIN_DIR = "src/main/";
export declare const TEST_DIR = "src/test/";
export declare const CLIENT_DIST_DIR = "static/";
export declare const GENERATOR_JHIPSTER = "generator-jhipster";
export declare const JHIPSTER_CONFIG_DIR = ".jhipster";
export declare const DOCKER_DIR: string;
export declare const LINE_LENGTH = 180;
export declare const CLIENT_MAIN_SRC_DIR: string;
export declare const CLIENT_TEST_SRC_DIR: string;
export declare const CLIENT_WEBPACK_DIR = "webpack/";
export declare const SERVER_MAIN_SRC_DIR: string;
export declare const SERVER_MAIN_RES_DIR: string;
export declare const SERVER_TEST_SRC_DIR: string;
export declare const SERVER_TEST_RES_DIR: string;
export declare const PRETTIER_EXTENSIONS = "md,json,yml,html,cjs,mjs,js,ts,tsx,css,scss,vue,svelte,java";
